Package owl.game

## Interface Game<S,​A extends OmegaAcceptance>

- All Superinterfaces:
    `AigPrintable`, `Automaton<S,​A>`

      public interface Game<S,​A extends OmegaAcceptance>
      extends Automaton<S,​A>, AigPrintable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `Game.Owner` |

    - ### Nested classes/interfaces inherited from interface owl.automaton.Automaton

      `Automaton.EdgeMapVisitor<S>, Automaton.EdgeTreeVisitor<S>, Automaton.EdgeVisitor<S>, Automaton.PreferredEdgeAccess, Automaton.Property, Automaton.Visitor<S>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `feedTo​(AigConsumer consumer)` |
    `default Set<S>` | `getAttractor​(Collection<S> states, Game.Owner owner)` |
    `default Set<S>` | `getAttractorFixpoint​(Collection<S> states, Game.Owner owner)` |
    `BitSet` | `getChoice​(S state, Game.Owner owner)` |
    `Game.Owner` | `getOwner​(S state)` |
    `default Set<S>` | `getPredecessors​(Iterable<S> states)` |
    `default Set<S>` | `getPredecessors​(Iterable<S> state, Game.Owner owner)` |
    `default Set<S>` | `getPredecessors​(S state, Game.Owner owner)` |
    `default Set<S>` | `getStates​(Game.Owner owner)` |
    `default Set<S>` | `getSuccessors​(Iterable<S> states)` |
    `default Set<S>` | `getSuccessors​(Iterable<S> states, Game.Owner owner)` |
    `default Set<S>` | `getSuccessors​(S state, Game.Owner owner)` |
    `List<String>` | `getVariables​(Game.Owner owner)` |

    - ### Methods inherited from interface owl.automaton.Automaton

      `accept, accept, accept, accept, acceptance, edge, edgeMap, edges, edges, edgeTree, factory, initialStates, is, name, onlyInitialState, predecessors, preferredEdgeAccess, size, states, successor, successors, successors`

- - ### Method Detail

    - #### getAttractor

          default Set<S> getAttractor​(Collection<S> states,
                                      Game.Owner owner)

    - #### getAttractorFixpoint

          default Set<S> getAttractorFixpoint​(Collection<S> states,
                                              Game.Owner owner)

    - #### getOwner

          Game.Owner getOwner​(S state)

    - #### getStates

          default Set<S> getStates​(Game.Owner owner)

    - #### getChoice

          BitSet getChoice​(S state,
                           Game.Owner owner)

    - #### feedTo

          default void feedTo​(AigConsumer consumer)

      Specified by:
        `feedTo` in interface `AigPrintable`

    - #### getPredecessors

          default Set<S> getPredecessors​(S state,
                                         Game.Owner owner)

    - #### getPredecessors

          default Set<S> getPredecessors​(Iterable<S> states)

    - #### getPredecessors

          default Set<S> getPredecessors​(Iterable<S> state,
                                         Game.Owner owner)

    - #### getSuccessors

          default Set<S> getSuccessors​(S state,
                                       Game.Owner owner)

    - #### getSuccessors

          default Set<S> getSuccessors​(Iterable<S> states)

    - #### getSuccessors

          default Set<S> getSuccessors​(Iterable<S> states,
                                       Game.Owner owner)

    - #### getVariables

          List<String> getVariables​(Game.Owner owner)